Package com.ocient.jdbc.proto

# Interface PlanProtocol.StatsRequestInfoOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.StatsRequestInfo`, `PlanProtocol.StatsRequestInfo.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.StatsRequestInfoOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.StatsTableInfo` | `getTables​(int index)` | `repeated .xg.db.sqlPlans.StatsTableInfo tables = 1;`
`int` | `getTablesCount()` | `repeated .xg.db.sqlPlans.StatsTableInfo tables = 1;`
`List<PlanProtocol.StatsTableInfo>` | `getTablesList()` | `repeated .xg.db.sqlPlans.StatsTableInfo tables = 1;`
`PlanProtocol.StatsTableInfoOrBuilder` | `getTablesOrBuilder​(int index)` | `repeated .xg.db.sqlPlans.StatsTableInfo tables = 1;`
`List<? extends PlanProtocol.StatsTableInfoOrBuilder>` | `getTablesOrBuilderList()` | `repeated .xg.db.sqlPlans.StatsTableInfo tables = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getTablesList

List<PlanProtocol.StatsTableInfo> getTablesList()
`repeated .xg.db.sqlPlans.StatsTableInfo tables = 1;`

### getTables

PlanProtocol.StatsTableInfo getTables​(int index)
`repeated .xg.db.sqlPlans.StatsTableInfo tables = 1;`

### getTablesCount

int getTablesCount()
`repeated .xg.db.sqlPlans.StatsTableInfo tables = 1;`

### getTablesOrBuilderList

List<? extends PlanProtocol.StatsTableInfoOrBuilder> getTablesOrBuilderList()
`repeated .xg.db.sqlPlans.StatsTableInfo tables = 1;`

### getTablesOrBuilder

PlanProtocol.StatsTableInfoOrBuilder getTablesOrBuilder​(int index)
`repeated .xg.db.sqlPlans.StatsTableInfo tables = 1;`